# 
#      @(#)Makefile 1.0 for comp Mon Feb 14 00:15:16 JST 2000
#      @(#)
#      @(#)Junan Chakma
#      @(#)jchakma@yahoo.com
#      @(#)Information and Computer Sciences
#      @(#)Toyohashi University of Technology
# 
CC = gcc
OPTS =
OBJECTS = main.o compiler.o statement.o code_generator.o getsym.o table.o \
          procedure.o
comp : $(OBJECTS)
	$(CC) -o comp $(OBJECTS) $(OPTS)
main.o : main.c getsym.h
	$(CC) -c main.c $(OPTS) -Wall
compiler.o : compiler.c getsym.h
	$(CC) -c compiler.c $(OPTS) -Wall
statement.o : statement.c getsym.h
	$(CC) -c statement.c $(OPTS)
code_generator.o : code_generator.c getsym.h
	$(CC) -c code_generator.c $(OPTS)
getsym.o : getsym.c getsym.h
	$(CC) -c getsym.c $(OPTS)
table.o : table.c getsym.h
	$(CC) -c table.c $(OPTS)
procedure.o : procedure.c getsym.h
	$(CC) -c procedure.c $(OPTS)
clean :
	rm $(OBJECTS) comp
